## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <variantEncoding>

`<variantEncoding>` | declares the method used to encode text-critical variants.

Attributes

(In addition to global attributes)

`method` | indicates which method is used to encode the apparatus of variants.
| Datatype: (location-referenced | double-end-point | parallel-segmentation)

Legal values are:

location-referenced | apparatus uses line numbers or other canonical reference scheme referenced in a base text.
double-end-point | apparatus indicates the precise locations of the beginning and ending of each lemma relative to a base text.
parallel-segmentation | alternate readings of a passage are given in parallel in the text; no notion of a base text is necessary.

| Default: #REQUIRED

Example:

Note | The value ‘parallel-segmentation’ requires in-line encoding of the apparatus.

`location` | indicates whether the apparatus appears within the running text or external to it.
| Datatype: (internal | external)

Legal values are:

internal | apparatus appears within the running text.
external | apparatus appears outside the base text.

| Default: #REQUIRED

Example:

Note | The value ‘external’ is inconsistent with the parallel-segmentation method of apparatus markup.

Example

    <variantEncoding method="location-referenced"
                       location="external"/>

Module Declared in file teihdr2; Core tag sets: enabled when any TEI base is enabled
Data Description Empty.
May occur within encodingDesc
Declaration

    <!ELEMENT variantEncoding %om.RO;  EMPTY>
    <!ATTLIST variantEncoding
          %a.global;
    method (location-referenced | double-end-point |
    parallel-segmentation) #REQUIRED
          location (internal | external) #REQUIRED>

See further 19.1.1 The Apparatus Entry

Up: 35 Elements